
using Microsoft.Maui.Controls.PlatformConfiguration;
using MusiLib.Model;

namespace MusiLib.Views;


public partial class Partition : ContentPage
{

    public Manager MyManager => (App.Current as App).MyManager;


	public Partition()
	{
		InitializeComponent();
        BindingContext = MyManager;
    }

    private void Play_Music(object sender, EventArgs e)
    {
        Button button = (Button)sender;
        if (!IPlayMusic.isMusicBeginning)
        {
            IPlayMusic.beginMusic();
            button.Text = "Pause";
        }
        else if(!IPlayMusic.isMusicPlaying)
        {
            IPlayMusic.playMusic();
            button.Text = "Pause";
        }
        else
        {
            IPlayMusic.pauseMusic();
            button.Text = "Jouer";
        }
        
    }
    private void Stop_Music(object sender, EventArgs e)
    {
        IPlayMusic.stopMusic();
        Button button = (Button)FindByName("play_music_button");
        button.Text = "Jouer";
    }

    protected override bool OnBackButtonPressed()
    {
        IPlayMusic.stopMusic();
        return base.OnBackButtonPressed();
    }
}